aboutsummaryrefslogtreecommitdiffstats
path: root/main/linux-grsec/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-11-05 13:29:45 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-11-05 13:31:32 +0000
commitb904fe2aadb86c41592da4a7559e2551e8e428f6 (patch)
treeb78261705b5926352edd1fa3b2ef1a7edbbbce3c /main/linux-grsec/APKBUILD
parent4d56bd0c84674499ebed58bf3e63debec6877687 (diff)
downloadaports-b904fe2aadb86c41592da4a7559e2551e8e428f6.tar.gz
aports-b904fe2aadb86c41592da4a7559e2551e8e428f6.tar.bz2
aports-b904fe2aadb86c41592da4a7559e2551e8e428f6.tar.xz
main/linux-grsec: fix linux-firmware
ref #466
Diffstat (limited to 'main/linux-grsec/APKBUILD')
-rw-r--r--main/linux-grsec/APKBUILD7
1 files changed, 4 insertions, 3 deletions
diff --git a/main/linux-grsec/APKBUILD b/main/linux-grsec/APKBUILD
index c46238b233..e35a10474a 100644
--- a/main/linux-grsec/APKBUILD
+++ b/main/linux-grsec/APKBUILD
@@ -4,11 +4,11 @@ _flavor=grsec
pkgname=linux-${_flavor}
pkgver=2.6.35.8
_kernver=2.6.35
-pkgrel=1
+pkgrel=2
pkgdesc="Linux kernel with grsecurity"
url=http://grsecurity.net
depends="mkinitfs linux-firmware"
-makedepends="perl installkernel"
+makedepends="perl installkernel bash"
options="!strip"
_config=${config:-kernelconfig.${CARCH:-x86}}
install=
@@ -77,7 +77,8 @@ package() {
mkdir -p "$pkgdir"/boot "$pkgdir"/lib/modules
make modules_install firmware_install install \
INSTALL_MOD_PATH="$pkgdir" \
- INSTALL_PATH="$pkgdir"/boot
+ INSTALL_PATH="$pkgdir"/boot \
+ || return 1
rm -f "$pkgdir"/lib/modules/${_abi_release}/build \
"$pkgdir"/lib/modules/${_abi_release}/source